/*
	Phoenix Suite 2
	Author: Jean-Baptiste Wautier
	Copyright 2006-2009 (c)
*/
﻿namespace Phoenix.Logs.Test
{
    using System;
    using System.Diagnostics;

    class Program
    {
        #region Fields

        private static Stopwatch stopwatchA = new Stopwatch();
        private static Stopwatch stopwatchB = new Stopwatch();

        #endregion Fields

        #region Methods

        static void Main(string[] args)
        {
            Console.WriteLine("Config File");
            Console.WriteLine("===========");
            TestLog log = new TestLog();
            log.TestDefault();
            log.TestConfigFile();

            Console.WriteLine("Default Config");
            Console.WriteLine("==============");
            TestLog log2 = new TestLog();
            log2.TestWithPreconfigure();

            Console.WriteLine("Multi threading");
            Console.WriteLine("===============");
            log.ConfigureWithXml();

            ushort loop = 50;
            stopwatchA.Start();
            stopwatchB.Start();

            log.ThreadAFinished += log_ThreadAFinished;
            log.ThreadBFinished += log_ThreadBFinished;
            log.TestMultiThreading(loop);

            Console.WriteLine("Press any key to continue...");
            Console.ReadKey();
        }

        static void log_ThreadAFinished(object sender, EventArgs e)
        {
            stopwatchA.Stop();
            Console.WriteLine("Thread A finished in {0} sec", ((float)stopwatchA.ElapsedMilliseconds / 1000));
        }

        static void log_ThreadBFinished(object sender, EventArgs e)
        {
            stopwatchB.Stop();
            Console.WriteLine("Thread B finished in {0} sec", ((float)stopwatchB.ElapsedMilliseconds / 1000));
        }

        #endregion Methods
    }
}